%define name Thuban
%define version 1.0.0
%define release 1

Summary: Geographic data viewer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.gz
Copyright: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Vendor: Intevation GmbH <thuban@intevation.de>
Url: http://thuban.intevation.de/

%description
Thuban is a viewer for geographic data written in Python


%prep

%setup
cp libraries/pyshapelib/{README,README.pyshapelib}
cp libraries/pyshapelib/{COPYING,COPYING.pyshapelib}
cp libraries/pyprojection/{LICENSE,LICENSE.pyprojection}


%build

env PATH="$PATH:/usr/lib/wxPython/bin:/usr/lib/wxPython/bin" CFLAGS="$RPM_OPT_FLAGS" python setup.py build


%install

python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES    --prefix=/usr


%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README libraries/pyshapelib/README.pyshapelib libraries/pyshapelib/COPYING.pyshapelib libraries/pyprojection/LICENSE.pyprojection
